// IBUFDS_DPHY: Differential Input Buffer with MIPI support
//              Versal Prime series
// Xilinx HDL Language Template, version 2022.1

IBUFDS_DPHY #(
   .DIFF_TERM("TRUE"),          // Differential termination
   .IOSTANDARD("DEFAULT"),      // I/O standard
   .SIM_DEVICE("VERSAL_PRIME")  // Set the device version (VERSAL_PRIME, VERSAL_PRIME_ES1)
)
IBUFDS_DPHY_inst (
   .HSRX_O(HSRX_O),             // 1-bit output: HS RX output
   .LPRX_O_N(LPRX_O_N),         // 1-bit output: LP RX output (Slave)
   .LPRX_O_P(LPRX_O_P),         // 1-bit output: LP RX output (Master)
   .HSRX_DISABLE(HSRX_DISABLE), // 1-bit input: Disable control for HS mode
   .I(I),                       // 1-bit input: Data input0 PAD
   .IB(IB),                     // 1-bit input: Data input1 PAD
   .LPRX_DISABLE(LPRX_DISABLE)  // 1-bit input: Disable control for LP mode
);

// End of IBUFDS_DPHY_inst instantiation
