// ODDRE1: Dedicated Double Data Rate (DDR) Output Register
//         Versal Prime series
// Xilinx HDL Language Template, version 2022.1

ODDRE1 #(
   .IS_C_INVERTED(1'b0),        // Optional inversion for C
   .IS_D1_INVERTED(1'b0),       // Unsupported, do not use
   .IS_D2_INVERTED(1'b0),       // Unsupported, do not use
   .SIM_DEVICE("VERSAL_PRIME"), // Set the device version for simulation functionality (VERSAL_PRIME,
                                // VERSAL_PRIME_ES1)
   .SRVAL(1'b0)                 // Initializes the ODDRE1 Flip-Flops to the specified value (1'b0, 1'b1)
)
ODDRE1_inst (
   .Q(Q),   // 1-bit output: Data output to IOB
   .C(C),   // 1-bit input: High-speed clock input
   .D1(D1), // 1-bit input: Parallel data input 1
   .D2(D2), // 1-bit input: Parallel data input 2
   .SR(SR)  // 1-bit input: Active-High Async Reset
);

// End of ODDRE1_inst instantiation
